Skip to content

WorkspacesController_createProject

POST
/workspaces/{workspaceId}/projects
workspaceId
required
string

Workspace UUID

object
name
required

Name of the project

string
>= 3 characters
Example
Project demo
code
required

Code associated with the project

string
Example
P-123
diseases
required

Unique identifier for the disease

Array<string>
Example
[
"20f0a586-1b8e-40eb-9576-b76966c5102a"
]
surveillanceTypes
required

List of unique identifiers for surveillance types

Array<string>
Example
[
"570c4a4c-c6f6-4138-a6ec-57aa1a81d0d2"
]
regions
required

List of unique identifiers for locations

Array<string>
Example
[
"a382d6b2-3565-45e2-88a5-5e59b1660d84"
]
teams
required

Email associated with the project

Array<object>
object
Example
[
{
"teamName": "test1",
"email": "test@gmail.com",
"isProjectViewer": true
}
]
object